---
title: 'Element: msContentZoom event'
slug: Web/API/Element/msContentZoom_event
tags:
  - Event
  - 'Event:Microsoft Extensions'
  - MSContentZoom
  - Non-standard
  - Reference
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<p>The <code><strong>msContentZoom</strong></code> event fires when a user zooms the element (changes the scale of the content).</p>

<p>It is a proprietary event specific to Microsoft Edge and Internet Explorer.</p>

<p>Zoomed elements can expose their zoom level through <code>msContentZoom</code> (ie. scrollTop/Left). The zoom level can be reset with {{DOMxRef("Element.msZoomTo()")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>Unknown</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: js">  contentZoom.addEventListener("MSContentZoom", function(e) {
     zoomFactor.value = contentZoom.msContentZoomFactor.toFixed(2);
  });
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.msContentZoom_event")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSSStyleDeclaration">CSS Style Declaration</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
